petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMTSCheckFromOptions(TS ts, Vec u, PetscErrorCode (**exactFuncs)(PetscInt dim, PetscReal time, const PetscReal x[], PetscInt Nf, PetscScalar *u, void *ctx), void **ctxs)

### Input Parameters

| ts | - the TS object
| u | - representative TS vector
| exactFuncs | - pointwise functions of the exact solution for each field
| ctxs | - contexts for the functions

### Level

developer

### Location

src/ts/utils/dmplexts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages